Kerbal Space Program - Bug #2804

Can't make the Ap/Pe readouts sticky anymore
07/19/2014 06:25 AM - Crazor

Status: Closed Start date: 07/19/2014
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.24 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

| used to be able to make the Apoapsis/Periapsis readouts sticky by clicking on the Ap/Pe labels, i.e. so that they stay on screen
when | move the mouse elsewhere. This appears to be broken in 0.24.

While we are at it: the old way to just click the label was a little cumbersome, because three out of four times, the game would create
a maneuver node. So maybe this should be moved to Alt-Click or something. Also I'm not sure if it was ever possible to sticky the
Ascending and Descending Node readouts, or if it just was even more cumbersome due to maneuver nodes, but anyhow, those
should be sticky-able too.

History

#1 - 07/21/2014 05:57 AM - Crazor
- Platform OSX added
- Platform deleted (Any)

| received an email from another user who has experienced this issue. He and his friends noticed that this issue is only affecting OS X. Updating the
report's properties accordingly.

#2 - 07/21/2014 10:52 AM - Master_Tao
Reproduced by forum users and discussed here. Nothing of note appears in the debug logs.
Possibly related to Bug #2810 as both involve secondary functions of left clicks.

Edit: workaround posted here.

#3 - 07/21/2014 03:07 PM - mpk10
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| am using a MacBook Pro with OS X and | am experiencing this bug as well.

#4 - 07/26/2014 04:30 AM - Crazor

The bugtracker hasn't been updated to allow me to specify the hotfix builds, so instead of updating the version field, I'll state here that this still applies
t0 0.24.2

#5 - 07/26/2014 04:48 AM - Crazor
Just re-posting the workaround that Master_Tao linked to, for reader's convenience:

Click outside the KSP window, then double-click on the AP/PE flag. You must have KSP windowed or click on a second screen. To clear
the sticky, repeat, or switch out of map mode.

| can confirm that this is working. Also this is the only workaround so far that actually helped for me.

#6 - 07/28/2014 07:33 AM - Fingermouse

Definitely a problem. Still no fix in latest update 0.24.2 - workaround does work but is extremely annoying.
http://forum.kerbalspaceprogram.com/threads/87259-Keep-Apoapsis-and-Periapsis-On-in-0-24
https://bugs.kerbalspaceprogram.com/issues/2810
http://forum.kerbalspaceprogram.com/threads/87965-0-24-Mac-specific-issues-fixes

#7 - 08/08/2014 08:53 PM - luinix

Any news on this? Is there something we OS X users can do to help with this?

#8 - 10/10/2014 04:59 PM - Master_Tao

Confirming this issue was fixed in KSP 0.25, but | do not have permissions to update the status.

#9 - 10/12/2014 06:36 AM - Squelch
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

Master_Tao wrote:

Confirming this issue was fixed in KSP 0.25, but | do not have permissions to update the status.

Thanks for confirming the fix.

#10 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

05/01/2024 22


http://www.tcpdf.org

